# httpd.conf  RSD Version 86.7 for Apache2.4 ssl
# This is the main Apache HTTP server configuration file.  It contains the
# configuration directives that give the server its instructions.
# See <URL:http://httpd.apache.org/docs/2.4/> for detailed information.
# In particular, see 
# <URL:http://httpd.apache.org/docs/2.4/mod/directives.html>
# for a discussion of each configuration directive.
#
# Do NOT simply read the instructions in here without understanding
# what they do.  They're here only as hints or reminders.  If you are unsure
# consult the online docs. You have been warned.  
#
# Configuration and logfile names: If the filenames you specify for many
# of the server's control files begin with "/" (or "drive:/" for Win32), the
# server will use that explicit path.  If the filenames do *not* begin
# with "/", the value of ServerRoot is prepended -- so "logs/access_log"
# with ServerRoot set to "/usr/local/apache2" will be interpreted by the
# server as "/usr/local/apache2/logs/access_log", whereas "/logs/access_log" 
# will be interpreted as '/logs/access_log'.
#
# NOTE: Where filenames are specified, you must use forward slashes
# instead of backslashes (e.g., "c:/apache" instead of "c:\apache").
# If a drive letter is omitted, the drive on which httpd.exe is located
# will be used by default.  It is recommended that you always supply
# an explicit drive letter in absolute paths to avoid confusion.

#
# ServerRoot: The top of the directory tree under which the server's
# configuration, error, and log files are kept.
#
# Do not add a slash at the end of the directory path.  If you point
# ServerRoot at a non-local disk, be sure to specify a local disk on the
# Mutex directive, if file-based mutexes are used.  If you wish to share the
# same ServerRoot for multiple httpd daemons, you will need to change at
# least PidFile.
#
ServerRoot "C:/Program Files/Apache Group/Apache2"

#2010.08.18 Yokomizu(SK) Z70-3548:W7012224110
#2010.10.29 Kajigaya(HS21) SJV0685:W7012224617
#2011.09.30 Nakazawa(HS21) Z70-5175:W7552226225
#ProxyTimeout 1800
#Timeout 1800
Timeout 3600

#
# Mutex: Allows you to set the mutex mechanism and mutex file directory
# for individual mutexes, or change the global defaults
#
# Uncomment and change the directory if mutexes are file-based and the default
# mutex file directory is not on a local disk or is not appropriate for some
# other reason.
#
# Mutex default:logs

#
# Listen: Allows you to bind Apache to specific IP addresses and/or
# ports, instead of the default. See also the <VirtualHost>
# directive.
#
# Change this to Listen on specific IP addresses as shown below to 
# prevent Apache from glomming onto all bound IP addresses.
#
#Listen 12.34.56.78:80
Listen 80
#2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa
Listen 51100
#
# Dynamic Shared Object (DSO) Support
#
# To be able to use the functionality of a module which was built as a DSO you
# have to place corresponding `LoadModule' lines at this location so the
# directives contained in it are actually available _before_ they are used.
# Statically compiled modules (those listed by `httpd -l') do not need
# to be loaded here.
#
# Example:
# LoadModule foo_module modules/mod_foo.so
#
# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 begin
#LoadModule access_compat_module modules/mod_access_compat.so
# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 end

# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 begin
#LoadModule actions_module modules/mod_actions.so
# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 end

LoadModule alias_module modules/mod_alias.so
LoadModule allowmethods_module modules/mod_allowmethods.so

# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 begin
#LoadModule asis_module modules/mod_asis.so
# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 end

LoadModule auth_basic_module modules/mod_auth_basic.so
#LoadModule auth_digest_module modules/mod_auth_digest.so
#LoadModule authn_anon_module modules/mod_authn_anon.so
LoadModule authn_core_module modules/mod_authn_core.so
#LoadModule authn_dbd_module modules/mod_authn_dbd.so
#LoadModule authn_dbm_module modules/mod_authn_dbm.so
LoadModule authn_file_module modules/mod_authn_file.so
#LoadModule authn_socache_module modules/mod_authn_socache.so
#LoadModule authnz_ldap_module modules/mod_authnz_ldap.so
LoadModule authz_core_module modules/mod_authz_core.so
#LoadModule authz_dbd_module modules/mod_authz_dbd.so
#LoadModule authz_dbm_module modules/mod_authz_dbm.so

# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 begin
#LoadModule authz_groupfile_module modules/mod_authz_groupfile.so
# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 end

# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 begin
#LoadModule authz_host_module modules/mod_authz_host.so
# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 end

#LoadModule authz_owner_module modules/mod_authz_owner.so
LoadModule authz_user_module modules/mod_authz_user.so

# 2015.12.25 M.Ito xxxxxxx3439 ID:26368 begin
#LoadModule autoindex_module modules/mod_autoindex.so
# 2015.12.25 M.Ito xxxxxxx3439 ID:26368 end

#LoadModule buffer_module modules/mod_buffer.so
#LoadModule cache_module modules/mod_cache.so
#LoadModule cache_disk_module modules/mod_cache_disk.so
#LoadModule cern_meta_module modules/mod_cern_meta.so
LoadModule cgi_module modules/mod_cgi.so
#LoadModule charset_lite_module modules/mod_charset_lite.so
#LoadModule data_module modules/mod_data.so
#LoadModule dav_module modules/mod_dav.so
#LoadModule dav_fs_module modules/mod_dav_fs.so
#LoadModule dav_lock_module modules/mod_dav_lock.so
#LoadModule dbd_module modules/mod_dbd.so
#LoadModule deflate_module modules/mod_deflate.so
LoadModule dir_module modules/mod_dir.so
#LoadModule dumpio_module modules/mod_dumpio.so

# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 begin
#LoadModule env_module modules/mod_env.so
# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 end

#LoadModule expires_module modules/mod_expires.so
#LoadModule ext_filter_module modules/mod_ext_filter.so
#LoadModule file_cache_module modules/mod_file_cache.so
#LoadModule filter_module modules/mod_filter.so
#2011.06.14 S.Kanno W74Z2225835
#LoadModule headers_module modules/mod_headers.so
LoadModule headers_module modules/mod_headers.so
#LoadModule heartbeat_module modules/mod_heartbeat.so
#LoadModule heartmonitor_module modules/mod_heartmonitor.so
#LoadModule ident_module modules/mod_ident.so
#LoadModule imagemap_module modules/mod_imagemap.so

# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 begin
#LoadModule include_module modules/mod_include.so
# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 end

#LoadModule info_module modules/mod_info.so

# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 begin
#LoadModule isapi_module modules/mod_isapi.so
# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 end

#LoadModule lbmethod_bybusyness_module modules/mod_lbmethod_bybusyness.so
#LoadModule lbmethod_byrequests_module modules/mod_lbmethod_byrequests.so
#LoadModule lbmethod_bytraffic_module modules/mod_lbmethod_bytraffic.so
#LoadModule lbmethod_heartbeat_module modules/mod_lbmethod_heartbeat.so
#LoadModule ldap_module modules/mod_ldap.so
#LoadModule logio_module modules/mod_logio.so
LoadModule log_config_module modules/mod_log_config.so
#LoadModule log_debug_module modules/mod_log_debug.so
#LoadModule log_forensic_module modules/mod_log_forensic.so
#LoadModule lua_module modules/mod_lua.so
LoadModule mime_module modules/mod_mime.so
#LoadModule mime_magic_module modules/mod_mime_magic.so

# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 begin
#LoadModule negotiation_module modules/mod_negotiation.so
# 2015.12.25 M.Ito xxxxxxx3439 ID:26285 end

LoadModule proxy_module modules/mod_proxy.so
LoadModule proxy_ajp_module modules/mod_proxy_ajp.so
#LoadModule proxy_balancer_module modules/mod_proxy_balancer.so
#LoadModule proxy_connect_module modules/mod_proxy_connect.so
#LoadModule proxy_express_module modules/mod_proxy_express.so
#LoadModule proxy_fcgi_module modules/mod_proxy_fcgi.so
#LoadModule proxy_ftp_module modules/mod_proxy_ftp.so
#LoadModule proxy_html_module modules/mod_proxy_html.so
#LoadModule proxy_http_module modules/mod_proxy_http.so
#LoadModule proxy_scgi_module modules/mod_proxy_scgi.so
#LoadModule ratelimit_module modules/mod_ratelimit.so
#LoadModule reflector_module modules/mod_reflector.so
#LoadModule remoteip_module modules/mod_remoteip.so
#LoadModule request_module modules/mod_request.so
#LoadModule reqtimeout_module modules/mod_reqtimeout.so
#2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa
#LoadModule rewrite_module modules/mod_rewrite.so
LoadModule rewrite_module modules/mod_rewrite.so
#LoadModule sed_module modules/mod_sed.so
#LoadModule session_module modules/mod_session.so
#LoadModule session_cookie_module modules/mod_session_cookie.so
#LoadModule session_crypto_module modules/mod_session_crypto.so
#LoadModule session_dbd_module modules/mod_session_dbd.so
LoadModule setenvif_module modules/mod_setenvif.so
#LoadModule slotmem_plain_module modules/mod_slotmem_plain.so
#LoadModule slotmem_shm_module modules/mod_slotmem_shm.so
#LoadModule socache_dbm_module modules/mod_socache_dbm.so
#LoadModule socache_memcache_module modules/mod_socache_memcache.so
LoadModule socache_shmcb_module modules/mod_socache_shmcb.so
#LoadModule speling_module modules/mod_speling.so
#2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa
#LoadModule ssl_module modules/mod_ssl.so
LoadModule ssl_module modules/mod_ssl.so
#LoadModule status_module modules/mod_status.so
#LoadModule substitute_module modules/mod_substitute.so
#LoadModule unique_id_module modules/mod_unique_id.so
#LoadModule userdir_module modules/mod_userdir.so
#LoadModule usertrack_module modules/mod_usertrack.so
#LoadModule version_module modules/mod_version.so
#LoadModule vhost_alias_module modules/mod_vhost_alias.so
#LoadModule watchdog_module modules/mod_watchdog.so
#LoadModule xml2enc_module modules/mod_xml2enc.so

<IfModule unixd_module>
#
# If you wish httpd to run as a different user or group, you must run
# httpd as root initially and it will switch.  
#
# User/Group: The name (or #number) of the user/group to run httpd as.
# It is usually good practice to create a dedicated user and group for
# running httpd, as with most system services.
#
User daemon
Group daemon

</IfModule>

# 'Main' server configuration
#
# The directives in this section set up the values used by the 'main'
# server, which responds to any requests that aren't handled by a
# <VirtualHost> definition.  These values also provide defaults for
# any <VirtualHost> containers you may define later in the file.
#
# All of these directives may appear inside <VirtualHost> containers,
# in which case these default settings will be overridden for the
# virtual host being defined.
#

#
# ServerAdmin: Your address, where problems with the server should be
# e-mailed.  This address appears on some server-generated pages, such
# as error documents.  e.g. admin@your-domain.com
#
#2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa
#ServerAdmin admin@example.com
ServerAdmin admin@domain.com

#
# ServerName gives the name and port that the server uses to identify itself.
# This can often be determined automatically, but we recommend you specify
# it explicitly to prevent problems during startup.
#
# If your host doesn't have a registered DNS name, enter its IP address here.
#
#2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa
#ServerName www.example.com:80
ServerName svp:80

#
# DocumentRoot: The directory out of which you will serve your
# documents. By default, all requests are taken from this directory, but
# symbolic links and aliases may be used to point to other locations.
#
#2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa
#DocumentRoot "C:/Program Files/Apache Group/Apache2/htdocs"
DocumentRoot "C:/dkc200/san/htdocs"

#
# Deny access to the entirety of your server's filesystem. You must
# explicitly permit access to web content directories in other 
# <Directory> blocks below.
#
#2019.05.29 S.Moriya #76681
<Directory />
    # 2015.12.25 M.Ito xxxxxxx3439 ID:26324 begin
    Options None
    # 2015.12.25 M.Ito xxxxxxx3439 ID:26324 end

    AllowOverride none
    Require all denied
    AllowMethods GET POST
</Directory>

#
# Note that from this point forward you must specifically allow
# particular features to be enabled - so if something's not working as
# you might expect, make sure that you have specifically enabled it
# below.
#

#
# DocumentRoot: The directory out of which you will serve your
# documents. By default, all requests are taken from this directory, but
# symbolic links and aliases may be used to point to other locations.
#
#2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa
#2019.05.29 S.Moriya #76681
#<Directory "C:/Program Files/Apache Group/Apache2/htdocs">
<Directory "C:/dkc200/san/htdocs">
    #
    # Possible values for the Options directive are "None", "All",
    # or any combination of:
    #   Indexes Includes FollowSymLinks SymLinksifOwnerMatch ExecCGI MultiViews
    #
    # Note that "MultiViews" must be named *explicitly* --- "Options All"
    # doesn't give it to you.
    #
    # The Options directive is both complicated and important.  Please see
    # http://httpd.apache.org/docs/2.4/mod/core.html#options
    # for more information.
    #
    #2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa
    #Options Indexes FollowSymLinks
    # 2015.12.25 M.Ito xxxxxxx3439 ID:13732 begin
    Options None
    # 2015.12.25 M.Ito xxxxxxx3439 ID:13732 end

    #
    # AllowOverride controls what directives may be placed in .htaccess files.
    # It can be "All", "None", or any combination of the keywords:
    #   AllowOverride FileInfo AuthConfig Limit
    #
    AllowOverride None

    #
    # Controls who can get stuff from this server.
    #
    Require all granted

    # 2015.12.25 M.Ito xxxxxxx3439 ID:26396 begin
    # AllowMethods GET POST OPTIONS
    # 2015.12.25 M.Ito xxxxxxx3439 ID:26396 end
    AllowMethods GET POST
</Directory>

#
# DirectoryIndex: sets the file that Apache will serve if a directory
# is requested.
#
<IfModule dir_module>
    DirectoryIndex index.html
</IfModule>

#
# The following lines prevent .htaccess and .htpasswd files from being 
# viewed by Web clients. 
#
<Files ".ht*">
    Require all denied
</Files>

#
# ErrorLog: The location of the error log file.
# If you do not specify an ErrorLog directive within a <VirtualHost>
# container, error messages relating to that virtual host will be
# logged here.  If you *do* define an error logfile for a <VirtualHost>
# container, that host's errors will be logged there and not here.
#
#2010.10.22 for W7012224597 RAID700 V01+1  By S.Kanno
#ErrorLog "logs/error.log"
ErrorLog "|\"C:/Program Files/Apache Group/Apache2/bin/rotatelogs.exe\" -l \"C:/Program Files/Apache Group/Apache2/logs/error_%Y%m%d.log\" 86400"

#
# LogLevel: Control the number of messages logged to the error_log.
# Possible values include: debug, info, notice, warn, error, crit,
# alert, emerg.
#
LogLevel warn

<IfModule log_config_module>
    #
    # The following directives define some format nicknames for use with
    # a CustomLog directive (see below).
    #
    # 2015.12.25 M.Ito xxxxxxx3439 ID:13688 begin
    LogFormat "%a %A %h %H %l %m %s %t %u %U \"%{Referer}i\" " combined
    # 2015.12.25 M.Ito xxxxxxx3439 ID:13688 end

    <IfModule logio_module>
      # You need to enable mod_logio.c to use %I and %O
      LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\" %I %O" combinedio
    </IfModule>

    #
    # The location and format of the access logfile (Common Logfile Format).
    # If you do not define any access logfiles within a <VirtualHost>
    # container, they will be logged here.  Contrariwise, if you *do*
    # define per-<VirtualHost> access logfiles, transactions will be
    # logged therein and *not* in this file.
    #
    #2010.10.22 for W7012224597 RAID700 V01+1  By S.Kanno
    #CustomLog "logs/access.log" common
    # 2015.12.25 M.Ito xxxxxxx3439 ID:13688 begin
    CustomLog "|\"C:/Program Files/Apache Group/Apache2/bin/rotatelogs.exe\" -l \"C:/Program Files/Apache Group/Apache2/logs/access_%Y%m%d.log\" 86400" combined
    # 2015.12.25 M.Ito xxxxxxx3439 ID:13688 end

    #
    # If you prefer a logfile with access, agent, and referer information
    # (Combined Logfile Format) you can use the following directive.
    #
    #CustomLog "logs/access.log" combined
</IfModule>

<IfModule alias_module>
    #
    # Redirect: Allows you to tell clients about documents that used to 
    # exist in your server's namespace, but do not anymore. The client 
    # will make a new request for the document at its new location.
    # Example:
    # Redirect permanent /foo http://www.example.com/bar

    #
    # Alias: Maps web paths into filesystem paths and is used to
    # access content that does not live under the DocumentRoot.
    # Example:
    # Alias /webpath /full/filesystem/path
    #
    # If you include a trailing / on /webpath then the server will
    # require it to be present in the URL.  You will also likely
    # need to provide a <Directory> section to allow access to
    # the filesystem path.

    #
    # ScriptAlias: This controls which directories contain server scripts. 
    # ScriptAliases are essentially the same as Aliases, except that
    # documents in the target directory are treated as applications and
    # run by the server when requested rather than as documents sent to the
    # client.  The same rules about trailing "/" apply to ScriptAlias
    # directives as to Alias.
    #
    #2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa
    #ScriptAlias /cgi-bin/ "C:/Program Files/Apache Group/Apache2/cgi-bin/"
    ScriptAlias /cgi-bin/ "C:/dkc200/san/cgi-bin/"

    #2011.02.09 H.Nakazawa(HS21) W7352225158 For Resource Group
    Redirect permanent /cgi-bin/utility/sjcmain.cgi /sanproject/index.do
    Redirect permanent /cgi-bin/utility/sjc0000.cgi /sanproject/index.do
    Redirect permanent /cgi-bin/utility/loginex.cgi /sanproject/index.do
    Redirect permanent /cgi-bin/utility/login.cgi /sanproject/index.do

</IfModule>

<IfModule cgid_module>
    #
    # ScriptSock: On threaded servers, designate the path to the UNIX
    # socket used to communicate with the CGI daemon of mod_cgid.
    #
    #Scriptsock cgisock
</IfModule>

#
# "C:/Program Files/Apache Group/Apache2/cgi-bin" should be changed to whatever your ScriptAliased
# CGI directory exists, if you have that configured.
#
#2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa
#2019.05.29 S.Moriya #76681
#<Directory "C:/Program Files/Apache Group/Apache2/cgi-bin">
<Directory "C:/dkc200/san/cgi-bin">
    AllowOverride None
    Options None
    Require all granted

    # 2015.12.25 M.Ito xxxxxxx3439 ID:26396 begin
    # AllowMethods GET POST OPTIONS
    # 2015.12.25 M.Ito xxxxxxx3439 ID:26396 end
    AllowMethods GET POST
    
    Header always set X-Frame-Options SAMEORIGIN
</Directory>

<Location /jscript/>
Header always set X-Frame-Options SAMEORIGIN
</Location>
<Location /icon/>
Header always set X-Frame-Options SAMEORIGIN
</Location>

#
# DefaultType: the default MIME type the server will use for a document
# if it cannot otherwise determine one, such as from filename extensions.
# If your server contains mostly text or HTML documents, "text/plain" is
# a good value.  If most of your content is binary, such as applications
# or images, you may want to use "application/octet-stream" instead to
# keep browsers from trying to display binary files as though they are
# text.
#
#DefaultType text/plain

<IfModule mime_module>
    #
    # TypesConfig points to the file containing the list of mappings from
    # filename extension to MIME-type.
    #
    TypesConfig conf/mime.types

    #
    # AddType allows you to add to or override the MIME configuration
    # file specified in TypesConfig for specific file types.
    #
    #AddType application/x-gzip .tgz
    #
    # AddEncoding allows you to have certain browsers uncompress
    # information on the fly. Note: Not all browsers support this.
    #
    #AddEncoding x-compress .Z
    #AddEncoding x-gzip .gz .tgz
    #
    # If the AddEncoding directives above are commented-out, then you
    # probably should define those extensions to indicate media types:
    #
    AddType application/x-compress .Z
    #2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa
    #AddType application/x-gzip .gz .tgz
    AddType application/x-tgz .tgz

    #
    # AddHandler allows you to map certain file extensions to "handlers":
    # actions unrelated to filetype. These can be either built into the server
    # or added with the Action directive (see below)
    #
    # To use CGI scripts outside of ScriptAliased directories:
    # (You will also need to add "ExecCGI" to the "Options" directive.)
    #
    #AddHandler cgi-script .cgi

    # For type maps (negotiated resources):
    #AddHandler type-map var

    #
    # Filters allow you to process content before it is sent to the client.
    #
    # To parse .shtml files for server-side includes (SSI):
    # (You will also need to add "Includes" to the "Options" directive.)
    #
    #AddType text/html .shtml
    #AddOutputFilter INCLUDES .shtml
</IfModule>

#
# The mod_mime_magic module allows the server to use various hints from the
# contents of the file itself to determine its type.  The MIMEMagicFile
# directive tells the module where the hint definitions are located.
#
#MIMEMagicFile conf/magic

#
# Customizable error responses come in three flavors:
# 1) plain text 2) local redirects 3) external redirects
#
# Some examples:
#ErrorDocument 500 "The server made a boo boo."
#ErrorDocument 404 /missing.html
#ErrorDocument 404 "/cgi-bin/missing_handler.pl"
#ErrorDocument 402 http://www.example.com/subscription_info.html
#

#
# MaxRanges: Maximum number of Ranges in a request before
# returning the entire resource, or one of the special
# values 'default', 'none' or 'unlimited'.
# Default setting is to accept 200 Ranges.
#MaxRanges unlimited

#
# EnableMMAP and EnableSendfile: On systems that support it, 
# memory-mapping or the sendfile syscall may be used to deliver
# files.  This usually improves server performance, but must
# be turned off when serving from networked-mounted 
# filesystems or if support for these functions is otherwise
# broken on your system.
# Defaults: EnableMMAP On, EnableSendfile Off
#
#EnableMMAP off
#EnableSendfile on

# Supplemental configuration
#
# The configuration files in the conf/extra/ directory can be 
# included to add extra features or to modify the default configuration of 
# the server, or you may simply copy their contents here and change as 
# necessary.

# Server-pool management (MPM specific)
#Include conf/extra/httpd-mpm.conf

# Multi-language error messages
#Include conf/extra/httpd-multilang-errordoc.conf

# Fancy directory listings
#Include conf/extra/httpd-autoindex.conf

# Language settings
#Include conf/extra/httpd-languages.conf

# User home directories
#Include conf/extra/httpd-userdir.conf

# Real-time info on requests and configuration
#Include conf/extra/httpd-info.conf

# Virtual hosts
#Include conf/extra/httpd-vhosts.conf

# Local access to the Apache HTTP Server Manual
#Include conf/extra/httpd-manual.conf

# Distributed authoring and versioning (WebDAV)
#Include conf/extra/httpd-dav.conf

# Various default settings
#Include conf/extra/httpd-default.conf

# Configure mod_proxy_html to understand HTML4/XHTML1
#<IfModule proxy_html_module>
#Include conf/extra/proxy-html.conf
#</IfModule>

# Secure (SSL/TLS) connections
#2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa
#Include conf/extra/httpd-ssl.conf
Include conf/extra/httpd-ssl.conf
#
# Note: The following must must be present to support
#       starting without SSL on platforms with no /dev/random equivalent
#       but a statically compiled-in mod_ssl.
#
<IfModule ssl_module>
SSLRandomSeed startup builtin
SSLRandomSeed connect builtin
</IfModule>
#
# uncomment out the below to deal with user agents that deliberately
# violate open standards by misusing DNT (DNT *must* be a specific
# end-user choice)
#
#<IfModule setenvif_module>
#BrowserMatch "MSIE 10.0;" bad_DNT
#</IfModule>
#<IfModule headers_module>
#RequestHeader unset DNT env=bad_DNT
#</IfModule>
#2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa (Block start)
ServerSignature Off
ServerTokens Prod

#2019.05.29 S.Moriya #76681
<Directory "C:/DKC200/san/cgi-bin/rdpCheck">
AuthType Basic
AuthUserFile "C:\DKC200\others\.htpasswdrdp"
AuthName "Enter user ID and password."
Require valid-user

# 2015.12.25 M.Ito xxxxxxx3439 ID:26396 begin
# AllowMethods GET POST OPTIONS
# 2015.12.25 M.Ito xxxxxxx3439 ID:26396 end
AllowMethods GET POST
</Directory>

# Comment out 2010.02.01 K.Sakurai(HS21) W71E4401869
#ScriptAlias /Proxy/ "C:/dkc200/san/cgi-bin/Utility/Proxy/"

#2010.04.22 for V68H2225412 RAID600 Security  By H.Yasukawa
#<IfModule mod_rewrite.c>
#RewriteEngine on
#RewriteCond %{REQUEST_METHOD} ^(TRACE|TRACK)
#RewriteRule .* - [F]
#</IfModule>
##2008.12.25 for W701222xxxx RAID700 1st By H.Yasukawa (Block end  )

TraceEnable off


#2010.04.22 for V68H2225412 RAID600 Security  By H.Yasukawa
FileETag MTime Size

#2011.09.10 H.Yasukawa W71E2226178
# Completely dis-allow the use of Range headers
RequestHeader unset Range
RequestHeader unset Request-Range

#2014.05.08 S.Moriya W71D2222129
RewriteEngine On
RewriteCond %{HTTP:Content-Type} "multipart\/form-data;(\s*)boundary=[a-zA-Z0-9_-]{4000}"
RewriteRule ^/(.*)$ /405.html [R=301,L]

SetEnvIf Content-Type ^.{4000,}$ bad-content-type=1
RequestHeader unset Content-Type env=bad-content-type

#2009.8.31 S.Kameoka
#2010.02.01 K.Sakurai(HS21) W71E4401869
# For SN2
<IfModule mod_proxy.c>
  <Location /sanproject/>
    #2020.03.13 S.Moriya ID:#98675
    ProxyPass ajp://localhost:8009/sanproject/ secret=U]t?J5]2YXLlKvXQE]W%lQR*0y=}33s6]WC?xb0w1?jQ?SUA;HR-Q(]+~6k_A~?

    # 2015.12.25 M.Ito xxxxxxx3439 ID:26396 begin
    AllowMethods GET POST PUT DELETE OPTIONS
    # 2015.12.25 M.Ito xxxxxxx3439 ID:26396 end
  </Location>
  <Location /Proxy/>
    #2020.03.13 S.Moriya ID:#98675
    ProxyPass ajp://localhost:8009/sanproject/Proxy/ secret=U]t?J5]2YXLlKvXQE]W%lQR*0y=}33s6]WC?xb0w1?jQ?SUA;HR-Q(]+~6k_A~?

    # 2015.12.25 M.Ito xxxxxxx3439 ID:26396 begin
    AllowMethods GET POST PUT DELETE OPTIONS
    # 2015.12.25 M.Ito xxxxxxx3439 ID:26396 end
  </Location>

  <Location /ConfigurationManager>
    #2020.03.13 S.Moriya ID:#98675
    ProxyPass ajp://localhost:9009/restapi nocanon secret=U]t?J5]2YXLlKvXQE]W%lQR*0y=}33s6]WC?xb0w1?jQ?SUA;HR-Q(]+~6k_A~?

    # 2015.12.25 M.Ito xxxxxxx3439 ID:26396 begin
    AllowMethods GET POST PUT PATCH DELETE OPTIONS
    # 2015.12.25 M.Ito xxxxxxx3439 ID:26396 end
  </Location>
</IfModule>

#2010.11.08 Y.Kajigaya(HS21) W73F2224634
#2014.08.13 N.Takahashi(HS21) Z8414401359
#2019.05.29 S.Moriya #76681
<Directory "C:/dkc200/san/htdocs/san/env/">
#    Options -Indexes FollowSymLinks
    # 2015.12.25 M.Ito xxxxxxx3439 ID:13732 begin
    Options None
    # 2015.12.25 M.Ito xxxxxxx3439 ID:13732 end

    AllowOverride None
    Require all denied
    
    # 2015.12.25 M.Ito xxxxxxx3439 ID:26396 begin
    # AllowMethods GET POST OPTIONS
    # 2015.12.25 M.Ito xxxxxxx3439 ID:26396 end
    AllowMethods GET POST
</Directory>

#2011.06.14 S.Kanno W74Z2225835
<VirtualHost *:*> 
  #2011.08.05 S.Kanno W74Z2226057
  <LocationMatch /cgi-bin/utility/^(sec0002.cgi|stc0003.cgi)>
  Header set Pragma no-cache
  Header set Cache-Control no-cache
  Header set Expires "Thu, 01 Dec 1994 16:00:00 GMT"
  </LocationMatch>
</VirtualHost>

#2011.03.31 N.Takahashi(HS21) W74D2225505
#2014.08.13 N.Takahashi(HS21) Z8414401359
<VirtualHost *:80 *:51100> 
 <Location /sanproject/raidinf>
    Options None
    Require all denied
 </Location>
 #2013.10.28 N.Takahashi(HS21) Y80D4401416
 #2014.08.13 N.Takahashi(HS21) Z8414401359
 <LocationMatch /sanproject/webapi>
    Options None
    Require all denied
 </LocationMatch>
</VirtualHost>


# 2015.12.25 M.Ito xxxxxxx3439 ID:13736 begin
LimitRequestBody 104857600
# 2015.12.25 M.Ito xxxxxxx3439 ID:13736 end

# 2015.12.25 M.Ito xxxxxxx3439 ID:13737 begin
LimitRequestFields 100
# 2015.12.25 M.Ito xxxxxxx3439 ID:13737 end

# 2015.12.25 M.Ito xxxxxxx3439 ID:13738 begin
LimitRequestFieldSize 8190
# 2015.12.25 M.Ito xxxxxxx3439 ID:13738 end

# 2015.12.25 M.Ito xxxxxxx3439 ID:13739 begin
LimitRequestLine 8190
# 2015.12.25 M.Ito xxxxxxx3439 ID:13739 end

# 2018.08.31 S.Kanno(HS21) ID:#54295 begin
Header set X-XSS-Protection "1; mode=block"
Header set X-Content-Type-Options nosniff
Header edit Set-Cookie ^(.*)$ $1;secure
# 2018.08.31 S.Kanno ID:#54295 end

# 2019.12.02 T.Ishida(HS21) ID:#90435 begin
Header set X-Frame-Options SAMEORIGIN
<VirtualHost localhost>
Header unset X-Frame-Options
</VirtualHost>
# 2019.12.02 T.Ishida(HS21) ID:#90435 end

<IfModule mpm_winnt_module>
  AcceptFilter http none
  AcceptFilter https none
  EnableSendfile off
  EnableMMAP off
</IfModule>
